Bug 1287802 - Review Request: make_ext4fs - Create reproducible ext4 images
Review Request: make_ext4fs - Create reproducible ext4 images
Status: NEW
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-NEEDSPONSOR
  Show dependency treegraph
 
Reported: 2015-12-02 12:34 EST by Wojtek Porczyk
Modified: 2016-09-23 14:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wojtek Porczyk 2015-12-02 12:34:44 EST
Spec URL: http://ftp.qubes-os.org/~woju/rpm/make_ext4fs-0-1.spec
SRPM URL: http://ftp.qubes-os.org/~woju/rpm/make_ext4fs-0-1.src.rpm
Description:
This is a tool to create ext4 images. It requires no root access. The images can be build reproducibly.

The tool originated at Google (Android) and was stolen and patched by OpenWRT.

Fedora Account System Username: (none)
Comment 1 Michael Scherer 2015-12-03 05:35:53 EST
Hi

the spec url is 404.
Comment 2 Wojtek Porczyk 2015-12-03 05:39:17 EST
Spec URL: http://ftp.qubes-os.org/~woju/rpm/make_ext4fs.spec

Thank you, that was manual editing.
Comment 3 Michael Schwendt 2015-12-16 16:33:19 EST
> Summary:	Reproducible ext4 image creator

> %description
> Tool to create reproducible ext4 image files.

This description doesn't expand on the summary. Could it be extended a bit to explain what problem this tool tries to solve? What are its key features? What makes these image files "reproducible" compared with images created with e.g. "dd"?

Btw, there is no documentation included either.
Comment 4 Greg Swift 2016-09-23 14:25:54 EDT
fwiw: doesnt build in mock on f22 because it is missing a buildrequires for zlib-devel

Note You need to log in before you can comment on or make changes to this bug.